jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Edelson <jus...@justinedelson.com>
Subject backwards-incompatible change in AccessManager
Date Tue, 07 Dec 2010 14:03:56 GMT
Hi,
While trying to upgrade Apache Sling from Jackrabbit 2.1.1 to 2.1.3 I ran into a backward-incompatible
change to org.apache.jackrabbit.core.security.AccessManager.

In Jackrabbit 2.1.1 and before, o.a.j.core.security.AccessManager.canRead() had a single argument
of type o.a.j.spi.Path. However, in r950440, this method was changed to a two argument method
with the addition of a second argument of type o.a.j.core.id.ItemId.

Was this change intentional? If so, is there any guidance on how to retain some level of backwards
compatibility?

Thanks,
Justin
Mime
View raw message